Attention is currently required from: fixeria.
osmith has posted comments on this change by fixeria. ( https://gerrit.osmocom.org/c/osmo-hlr/+/37780?usp=email )
Change subject: subscriber-create-on-demand: add mode for MSISDN=IMSI
......................................................................
Patch Set 1: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/osmo-hlr/+/37780?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-hlr
Gerrit-Branch: master
Gerrit-Change-Id: I3470492f5e46de7246d9a74e80c37f80f455d851
Gerrit-Change-Number: 37780
Gerrit-PatchSet: 1
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Comment-Date: Wed, 07 Aug 2024 10:18:59 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Attention is currently required from: neels.
Jenkins Builder has posted comments on this change by neels. ( https://gerrit.osmocom.org/c/osmo-upf/+/37764?usp=email )
Change subject: osmo-pfcp-tool: add GTP flooding using io_uring
......................................................................
Patch Set 2:
(4 comments)
File src/osmo-pfcp-tool/pfcp_tool.c:
Robot Comment from checkpatch (run ID jenkins-gerrit-lint-17590):
https://gerrit.osmocom.org/c/osmo-upf/+/37764/comment/29dbdd83_6e800e07?usp… :
PS2, Line 225: if (osmo_sockaddr_cmp(&port->osa, osa) == 0) {
braces {} are not necessary for single statement blocks
Robot Comment from checkpatch (run ID jenkins-gerrit-lint-17590):
https://gerrit.osmocom.org/c/osmo-upf/+/37764/comment/0b57fb7d_934a1f00?usp… :
PS2, Line 339: llist_for_each_entry(peer, &g_pfcp_tool->peers, entry) {
space required before the open parenthesis '('
Robot Comment from checkpatch (run ID jenkins-gerrit-lint-17590):
https://gerrit.osmocom.org/c/osmo-upf/+/37764/comment/f4507b00_99580359?usp… :
PS2, Line 341: llist_for_each_entry(session, &peer->sessions, entry) {
space required before the open parenthesis '('
File src/osmo-pfcp-tool/pfcp_tool_vty.c:
Robot Comment from checkpatch (run ID jenkins-gerrit-lint-17590):
https://gerrit.osmocom.org/c/osmo-upf/+/37764/comment/d6d6a5e2_ee63b383?usp… :
PS2, Line 179: )
please, no spaces at the start of a line
--
To view, visit https://gerrit.osmocom.org/c/osmo-upf/+/37764?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-upf
Gerrit-Branch: master
Gerrit-Change-Id: I332aa0e2efd55f6e357cde4752a3d8b584db531b
Gerrit-Change-Number: 37764
Gerrit-PatchSet: 2
Gerrit-Owner: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Attention: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Comment-Date: Mon, 05 Aug 2024 06:23:40 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Attention is currently required from: fixeria.
osmith has posted comments on this change by fixeria. ( https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37730?usp=email )
Change subject: add debian package files
......................................................................
Patch Set 3:
(1 comment)
Patchset:
PS3:
> This needs a `contrib/generate_build_dep.sh` like in osmo_dia2gsup, otherwise: […]
The build passes when adding the same `contrib/generate_build_dep.sh` (with executable flag):
```patch
diff --git a/contrib/generate_build_dep.sh b/contrib/generate_build_dep.sh
new file mode 100755
index 0000000..8d4fca0
--- /dev/null
+++ b/contrib/generate_build_dep.sh
@@ -0,0 +1,19 @@
+#!/bin/sh -e
+
+# execute the script from the top dir of this repository to generate
+# a build_dep.tar.gz for building with debian/OBS
+
+if [ ! -e rebar.config ] ; then
+ echo "Please execute $0 from the top directory"
+ exit 1
+fi
+
+set -x
+rm -rf _checkouts _build
+rebar3 get-deps
+mkdir _checkouts
+mv ./_build/default/lib/* _checkouts/
+mv ./_build/default/plugins/* _checkouts/
+# delete erlang bytecode
+find _checkouts/ -iname '*beam' -delete
+tar czf build_dep.tar.gz ./_checkouts
```
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37730?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: erlang/osmo-s1gw
Gerrit-Branch: master
Gerrit-Change-Id: I5446c70c1c1f232a2a45de60be7068cfd683a99c
Gerrit-Change-Number: 37730
Gerrit-PatchSet: 3
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 06 Aug 2024 09:14:08 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: osmith <osmith(a)sysmocom.de>
Attention is currently required from: fixeria.
osmith has posted comments on this change by fixeria. ( https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37729?usp=email )
Change subject: contrib: add systemd unit file
......................................................................
Patch Set 2: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37729?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: erlang/osmo-s1gw
Gerrit-Branch: master
Gerrit-Change-Id: I8417821d2d8ead0ab1bcea87ee40a16c1b98ce69
Gerrit-Change-Number: 37729
Gerrit-PatchSet: 2
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Comment-Date: Mon, 05 Aug 2024 07:46:12 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Attention is currently required from: neels.
laforge has posted comments on this change by neels. ( https://gerrit.osmocom.org/c/osmo-upf/+/37757?usp=email )
Change subject: n-sessions [1/4]: add generators for TEID and UE IP
......................................................................
Patch Set 1:
(1 comment)
Patchset:
PS1:
commit log message should state it's about the pfcp-tool, not osmo-upf.
In repositories that have multiple programs / build targets (like pysim, osmocom-bb, ...) we usually prefix the commit log message with an indication about what kind of program/tool is changed.
--
To view, visit https://gerrit.osmocom.org/c/osmo-upf/+/37757?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-upf
Gerrit-Branch: master
Gerrit-Change-Id: Iec164a222782d382aefe8d0342f398ebba1eac05
Gerrit-Change-Number: 37757
Gerrit-PatchSet: 1
Gerrit-Owner: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-CC: laforge <laforge(a)osmocom.org>
Gerrit-Attention: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Comment-Date: Mon, 05 Aug 2024 12:35:11 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
dexter has submitted this change. ( https://gerrit.osmocom.org/c/pysim/+/37772?usp=email )
Change subject: pySim-shell: fix typo
......................................................................
pySim-shell: fix typo
Change-Id: I1bd995ae9eb59a44a48da62a7b0262faa84a4f2b
---
M pySim-shell.py
1 file changed, 1 insertion(+), 1 deletion(-)
Approvals:
Jenkins Builder: Verified
dexter: Looks good to me, approved
diff --git a/pySim-shell.py b/pySim-shell.py
index 6e59e58..36cb839 100755
--- a/pySim-shell.py
+++ b/pySim-shell.py
@@ -373,7 +373,7 @@
first = True
while 1:
# TODO: Count consecutive failures, if more than N consecutive failures occur, then stop.
- # The ratinale is: There may be a problem with the device, we do want to prevent that
+ # The rationale is: There may be a problem with the device, we do want to prevent that
# all remaining cards are fired to the error bin. This is only relevant for situations
# with large stacks, probably we do not need this feature right now.
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/37772?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: I1bd995ae9eb59a44a48da62a7b0262faa84a4f2b
Gerrit-Change-Number: 37772
Gerrit-PatchSet: 1
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: dexter <pmaier(a)sysmocom.de>